> For the complete documentation index, see [llms.txt](https://docs.walleo.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.walleo.io/partners-api/api-reference/inventories.md).

# Inventories

## Get inventory

## Get an inventory

<mark style="color:blue;">`GET`</mark> `https://api.walleo.io/partners/v1/inventories/:id`

Get an inventory for a specific gift card.

#### Path Parameters

| Name                                 | Type   | Description    |
| ------------------------------------ | ------ | -------------- |
| id<mark style="color:red;">\*</mark> | String | Gift card code |

{% tabs %}
{% tab title="200: OK Return inventory" %}

```json
{
  "inventories": {
    "gift_card": {
      "code": "IKEAFR",
      "name": "Ikea France"
    },
    "end_to_end_api": {
      "enabled": true,
      "available_amount": "unlimited"
    },
    "stocks": [
      {
        "facial_value": 50,
        "owned_quantity": 5,
        "shared_quantity": 0
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.walleo.io/partners-api/api-reference/inventories.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
